/*
 * This file was automatically generated by EvoSuite
 * Thu Jun 23 13:05:38 GMT 2022
 */

package ir.ramtung.impl2;

import ir.ramtung.sts01.LibraryException;
import org.junit.Test;
import static org.junit.Assert.*;
import static org.evosuite.runtime.EvoAssertions.*;
import ir.ramtung.impl2.Library;
import java.util.List;
import org.evosuite.runtime.EvoRunner;
import org.evosuite.runtime.EvoRunnerParameters;
import org.junit.runner.RunWith;

@RunWith(EvoRunner.class) @EvoRunnerParameters(mockJVMNonDeterminism = true, useVFS = true, useVNET = true, resetStaticState = true, separateClassLoader = false, useJEE = true)
public class Library_ESTest extends Library_ESTest_scaffolding {

  @Test(timeout = 4000)
  public void test00()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "";
      library0.returnDocument("", "");
      String string1 = "zen@HF('IM";
      int int0 = library0.getTotalPenalty("zen@HF('IM");
      assertEquals(0, int0);
      
      String string2 = null;
      String string3 = "";
      library0.borrow((String) null, "");
      library0.borrow("zen@HF('IM", "zen@HF('IM");
      String string4 = "awJK~Tq=EQ";
      int int1 = library0.getTotalPenalty("awJK~Tq=EQ");
      assertTrue(int1 == int0);
      assertEquals(0, int1);
      
      List<String> list0 = library0.availableTitles();
      assertEquals(0, list0.size());
      assertTrue(list0.isEmpty());
      assertNotNull(list0);
      assertFalse(list0.contains("zen@HF('IM"));
      
      String string5 = "S#\"\\nr5PdPD[>-";
      library0.addBook("ir.ramtung.impl2.Person", 0);
      int int2 = library0.getTotalPenalty("S#\"\nr5PdPD[>-");
      assertTrue(int2 == int1);
      assertTrue(int2 == int0);
      assertEquals(0, int2);
      
      library0.addProfMember("zen@HF('IM");
      library0.addProfMember("S#\"\nr5PdPD[>-");
      library0.addBook("%0n!9DD^.", 0);
      library0.borrow("K64!OB=", "K64!OB=");
      library0.addProfMember("magazine`s number is incorrect");
      library0.borrow("S#\"\nr5PdPD[>-", "");
      List<String> list1 = library0.availableTitles();
      assertEquals(0, list1.size());
      assertTrue(list1.isEmpty());
      assertNotNull(list1);
      assertNotSame(list1, list0);
      assertFalse(list1.contains("zen@HF('IM"));
      assertTrue(list1.equals((Object)list0));
      
      String string6 = "xCe";
      try { 
        library0.extend("S#\"\nr5PdPD[>-", "8hx2ysBLi");
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // cant extend
         //
         verifyException("ir.ramtung.impl2.Person", e);
      }
  }

  @Test(timeout = 4000)
  public void test01()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = " ";
      String string1 = "&l;";
      int int0 = (-1358);
      String string2 = "";
      List<String> list0 = library0.availableTitles();
      assertTrue(list0.isEmpty());
      assertEquals(0, list0.size());
      assertNotNull(list0);
      assertFalse(list0.contains(string0));
      
      library0.addProfMember("");
      String string3 = "ir.ramtung.sts01.LibraryException";
      library0.returnDocument("&l;", "Wa");
      List<String> list1 = library0.availableTitles();
      assertTrue(list1.isEmpty());
      assertEquals(0, list1.size());
      assertNotNull(list1);
      assertNotSame(list1, list0);
      assertFalse(list1.contains(string0));
      assertTrue(list1.equals((Object)list0));
      
      String string4 = "OGxnp}#3H";
      try { 
        library0.addProfMember(" ");
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // prof name is empty
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test02()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "";
      library0.borrow("", "");
      String string1 = ".a,C";
      int int0 = (-1);
      library0.addReference(".a,C", (-1));
      String string2 = "L1y!&2DA^k7.8\"";
      library0.borrow("L1y!&2DA^k7.8\"", "ir.ramtung.impl2.Person");
      library0.addProfMember("");
      library0.addBook("", 5);
      int int1 = 0;
      library0.addBook("L1y!&2DA^k7.8\"", 0);
      List<String> list0 = library0.availableTitles();
      assertEquals(1, list0.size());
      assertFalse(list0.isEmpty());
      assertNotNull(list0);
      assertTrue(list0.contains(""));
      assertFalse(list0.contains(string2));
      
      library0.borrow("", "");
      try { 
        library0.addReference("L1y!&2DA^k7.8\"", 0);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // the reference has already added
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test03()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "";
      library0.borrow("", "");
      int int0 = (-1);
      library0.addReference("", (-1));
      String string1 = "L1y!&2DA^k7.8\"";
      library0.addProfMember("");
      int int1 = 0;
      library0.addBook("L1y!&2DA^k7.8\"", 0);
      List<String> list0 = library0.availableTitles();
      assertEquals(0, list0.size());
      assertTrue(list0.isEmpty());
      assertNotNull(list0);
      assertFalse(list0.contains(string1));
      
      try { 
        library0.borrow("", "");
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // this book doesnt exist
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test04()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "rqug\"";
      String string1 = "the member has already added";
      library0.addStudentMember("rqug\"", "the member has already added");
      int int0 = library0.getTotalPenalty("the member has already added");
      assertEquals(0, int0);
      
      library0.extend("the member has already added", (String) null);
      // Undeclared exception!
      library0.timePass(5000);
  }

  @Test(timeout = 4000)
  public void test05()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "UEW0,Sz;";
      library0.returnDocument("UEW0,Sz;", "UEW0,Sz;");
      library0.borrow("UEW0,Sz;", "UEW0,Sz;");
      String string1 = "ir.ramtung.impl2.Student";
      library0.extend("ir.ramtung.impl2.Student", "ir.ramtung.impl2.Student");
      library0.addProfMember("ir.ramtung.impl2.Student");
      library0.returnDocument("UEW0,Sz;", "wW^FOS'1<k\"5F'<sk!");
      int int0 = 3;
      try { 
        library0.addStudentMember("ir.ramtung.impl2.Student", "ir.ramtung.impl2.Student");
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // the member has already added
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test06()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      try { 
        library0.addReference(" ", 0);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // reference name is empty
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test07()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.returnDocument("", "");
      String string0 = "tb";
      int int0 = 3000;
      library0.addBook("tb", 3000);
      library0.timePass(3000);
      int int1 = 0;
      String string1 = "";
      library0.addProfMember("");
      int int2 = 0;
      library0.addBook("", 0);
      try { 
        library0.addReference("", 0);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // the reference has already added
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test08()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "ir.ramtung.impl2.Person";
      int int0 = 0;
      String string1 = "student name is empty";
      String string2 = " ";
      try { 
        library0.addBook(" ", 0);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // book name is empty
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test09()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "ir.ramtung.impl2.Document";
      int int0 = (-665);
      library0.addBook("ir.ramtung.impl2.Document", (-1064));
      try { 
        library0.addBook("ir.ramtung.impl2.Document", (-665));
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // the book has already added
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test10()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = ";r?(2;)v#.(ZS(C)";
      int int0 = 4182;
      library0.addReference(";r?(2;)v#.(ZS(C)", 4182);
      library0.borrow("u", ";r?(2;)v#.(ZS(C)");
      library0.borrow(";r?(2;)v#.(ZS(C)", "?v?v ~GbQm)Ow]V");
      String string1 = "4mf=lZsrT~engJ<";
      try { 
        library0.addMagazine("?v?v ~GbQm)Ow]V", 4182, 0, 0);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // magazine`s number is incorrect
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test11()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.returnDocument("", "!Ql;RQ$L8nZ1");
      library0.addBook("!Ql;RQ$L8nZ1", 0);
      library0.addBook("y{2IWfN57T}nTop9", 3);
      try { 
        library0.addBook("y{2IWfN57T}nTop9", 0);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // the book has already added
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test12()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.addProfMember("");
      String string0 = "#:#dQ)";
      library0.borrow("#:#dQ)", "");
      String string1 = null;
      library0.borrow((String) null, (String) null);
      try { 
        library0.addProfMember("");
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // the member has already added
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test13()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.extend("c", "");
      library0.addProfMember("");
      library0.returnDocument("q73U", "cant extend");
      library0.addProfMember("q73U");
  }

  @Test(timeout = 4000)
  public void test14()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.addBook("r>bp-4Bru2$56.>", (-1292));
      String string0 = " ";
      int int0 = (-2199);
      int int1 = 0;
      String string1 = ")*Q_j";
      int int2 = library0.getTotalPenalty(")*Q_j");
      assertFalse(int2 == int0);
      assertTrue(int2 == int1);
      assertEquals(0, int2);
      
      try { 
        library0.addMagazine(" ", 0, 0, 0);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // magazine name is empty
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test15()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      List<String> list0 = library0.availableTitles();
      assertEquals(0, list0.size());
      assertTrue(list0.isEmpty());
      assertNotNull(list0);
      
      library0.addMagazine("?-v", 2083, 2066, 580);
  }

  @Test(timeout = 4000)
  public void test16()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = null;
      int int0 = 229;
      // Undeclared exception!
      try { 
        library0.addMagazine((String) null, 229, 7, 229);
        fail("Expecting exception: NullPointerException");
      
      } catch(Throwable e) {
//          if (!(e instanceof LibraryException)) {
//              fail("Unexpected exception");
//          }
          verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test17()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.timePass(233);
      try { 
        library0.timePass((-273));
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // days cant be negative
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test18()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      List<String> list0 = library0.availableTitles();
      assertTrue(list0.isEmpty());
      assertEquals(0, list0.size());
      assertNotNull(list0);
      
      String string0 = null;
      // Undeclared exception!
      try { 
        library0.addReference((String) null, (-116));
        fail("Expecting exception: NullPointerException");
      
      } catch(Throwable e) {
//          if (!(e instanceof LibraryException)) {
//              fail("Unexpected exception");
//          }
          verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test19()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      int int0 = library0.getTotalPenalty("");
      assertEquals(0, int0);
      
      String string0 = "student id is empty";
      try { 
        library0.addStudentMember("", "student id is empty");
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // student id is empty
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test20()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.borrow((String) null, "magazine`s year is incorrect");
      int int0 = library0.getTotalPenalty("");
      assertEquals(0, int0);
      
      try { 
        library0.timePass((-440));
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // days cant be negative
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test21()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.extend("", "");
      library0.returnDocument("ebNK]", "");
      String string0 = "";
      library0.addProfMember("");
      library0.timePass(1);
      String string1 = "ir.ramtung.impl2.Prof";
      String string2 = "ZnD]pfpj eOFoH.;F[`";
      // Undeclared exception!
      try { 
        library0.borrow("", "");
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(Throwable e) {
//          if (!(e instanceof LibraryException)) {
//              fail("Unexpected exception");
//          }
         //
         // Index: 0, Size: 0
         //
         verifyException("java.util.ArrayList", e);
      }
  }

  @Test(timeout = 4000)
  public void test22()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "ir.ramtung.sts01.LibraryException";
      String string1 = "";
      library0.returnDocument("", "g;MQnJQw");
      library0.returnDocument("ir.ramtung.impl2.Magazine", "");
      library0.addReference("ir.ramtung.sts01.LibraryException", 2659);
      String string2 = "";
      String string3 = "";
      // Undeclared exception!
      try { 
        library0.addBook((String) null, 2659);
        fail("Expecting exception: NullPointerException");
      
      } catch(Throwable e) {
//          if (!(e instanceof LibraryException)) {
//              fail("Unexpected exception");
//          }
          verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test23()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      List<String> list0 = library0.availableTitles();
      assertEquals(0, list0.size());
      assertTrue(list0.isEmpty());
      assertNotNull(list0);
      
      library0.borrow("", "the member has already added");
      library0.borrow("", "[x1o!&,BhSa{4FF'>,");
      String string0 = "&xF #i/A=mI(edNQgP";
      library0.addBook("", 255);
      library0.extend("cant extend", "");
      library0.returnDocument("km", "ir.ramtung.impl2.Reference");
      // Undeclared exception!
      try { 
        library0.addProfMember((String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(Throwable e) {
//          if (!(e instanceof LibraryException)) {
//              fail("Unexpected exception");
//          }
          verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test24()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      int int0 = 4268;
      library0.addBook("$w7}.!|YT@", 4268);
      List<String> list0 = library0.availableTitles();
      assertFalse(list0.isEmpty());
      assertEquals(1, list0.size());
      assertNotNull(list0);
      assertTrue(list0.contains("$w7}.!|YT@"));
      
      String string0 = "[d q#Ga#n~^";
      try { 
        library0.addMagazine("", 4268, 0, 3505);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // magazine`s number is incorrect
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test25()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.addStudentMember("5<pQ", "N\"%jon]pR\"");
      String string0 = "ir.ramtung.sts01.LibraryException";
      library0.returnDocument("N\"%jon]pR\"", "ir.ramtung.sts01.LibraryException");
      // Undeclared exception!
      try { 
        library0.borrow("N\"%jon]pR\"", "ir.ramtung.sts01.LibraryException");
        fail("Expecting exception: IndexOutOfBoundsException");
      
      } catch(Throwable e) {
//          if (!(e instanceof LibraryException)) {
//              fail("Unexpected exception");
//          }
         //
         // Index: 0, Size: 0
         //
         verifyException("java.util.ArrayList", e);
      }
  }

  @Test(timeout = 4000)
  public void test26()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      int int0 = library0.getTotalPenalty("cant extend");
      assertEquals(0, int0);
      
      int int1 = library0.getTotalPenalty("");
      assertTrue(int1 == int0);
      assertEquals(0, int1);
      
      String string0 = "iEg7l>";
      library0.addProfMember("iEg7l>");
      String string1 = null;
      List<String> list0 = library0.availableTitles();
      assertTrue(list0.isEmpty());
      assertEquals(0, list0.size());
      assertNotNull(list0);
      assertFalse(list0.contains("cant extend"));
      
      // Undeclared exception!
      try { 
        library0.addStudentMember("}F", (String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(Throwable e) {
//          if (!(e instanceof LibraryException)) {
//              fail("Unexpected exception");
//          }
          verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test27()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.addBook("", 0);
      String string0 = "ir.ramtung.sts01.LibraryException";
      String string1 = "h$m\")lFH#W";
      library0.returnDocument("ir.ramtung.sts01.LibraryException", "h$m\")lFH#W");
      String string2 = "";
      try { 
        library0.borrow("ir.ramtung.sts01.LibraryException", "");
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // this book doesnt exist
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test28()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.addReference("2Y", 0);
      try { 
        library0.addMagazine("", 0, 0, 0);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // magazine`s year is incorrect
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test29()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "ir.ramtung.impl2.Person";
      library0.addProfMember("@e\"^TIF6j:");
      library0.addReference("ir.ramtung.impl2.Person", 1);
      library0.extend("@e\"^TIF6j:", "ir.ramtung.impl2.Person");
      int int0 = library0.getTotalPenalty("@e\"^TIF6j:");
      assertEquals(0, int0);
      
      library0.addBook("`71Kb?fN+", 0);
      try { 
        library0.addReference("ir.ramtung.impl2.Person", 2467);
        fail("Expecting exception: Exception");
      
      } catch(Throwable e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // the reference has already added
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test30()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      try { 
        library0.addMagazine("cant extend", 473, (-332), 1918);
        fail("Expecting exception: Exception");
      
      } catch(Throwable e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // magazine`s number is incorrect
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test31()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.returnDocument("", "");
      int int0 = library0.getTotalPenalty("zen@HF('IM");
      assertEquals(0, int0);
      
      library0.borrow((String) null, "");
      library0.borrow("zen@HF('IM", "zen@HF('IM");
      int int1 = library0.getTotalPenalty("awJK~Tq=EQ");
      assertTrue(int1 == int0);
      assertEquals(0, int1);
      
      List<String> list0 = library0.availableTitles();
      assertTrue(list0.isEmpty());
      assertEquals(0, list0.size());
      assertNotNull(list0);
      assertFalse(list0.contains(""));
      
      library0.extend("Rifmh*f+#", (String) null);
      int int2 = library0.getTotalPenalty("S#\"\nr5PdPD[>-");
      assertTrue(int2 == int0);
      assertTrue(int2 == int1);
      assertEquals(0, int2);
      
      library0.addProfMember("S#\"\nr5PdPD[>-");
      library0.addBook("%0n!9DD^.", 0);
      library0.borrow("64!OB=", "64!OB=");
      library0.borrow("ir.ramtung.impl2.Student", "");
      List<String> list1 = library0.availableTitles();
      assertTrue(list1.isEmpty());
      assertEquals(0, list1.size());
      assertNotNull(list1);
      assertNotSame(list1, list0);
      assertFalse(list1.contains("zen@HF('IM"));
      assertTrue(list1.equals((Object)list0));
      
      library0.extend("S#\"\nr5PdPD[>-", "8hx2ysBLi");
      library0.borrow("S#\"\nr5PdPD[>-", (String) null);
      int int3 = library0.getTotalPenalty("xCe");
      assertTrue(int3 == int2);
      assertTrue(int3 == int0);
      assertTrue(int3 == int1);
      assertEquals(0, int3);
      
      library0.addStudentMember("xCe", "Rla");
      List<String> list2 = library0.availableTitles();
      assertEquals(0, list2.size());
      assertTrue(list2.isEmpty());
      assertNotNull(list2);
      assertNotSame(list2, list1);
      assertNotSame(list2, list0);
      assertFalse(list2.contains("zen@HF('IM"));
      assertTrue(list2.equals((Object)list1));
      assertTrue(list2.equals((Object)list0));
      
      library0.extend("", "");
      library0.returnDocument((String) null, "zen@HF('IM");
  }

  @Test(timeout = 4000)
  public void test32()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      int int0 = 0;
      library0.timePass(0);
      library0.addBook("book name is empty", 0);
      library0.returnDocument("book name is empty", "book name is empty");
      try { 
        library0.borrow("book name is empty", "book name is empty");
        fail("Expecting exception: Exception");
      
      } catch(Throwable e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // this book doesnt exist
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test33()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      int int0 = (-1537);
      try { 
        library0.addMagazine("RW]%NI!/ H]S", 0, (-1537), (-1537));
        fail("Expecting exception: Exception");
      
      } catch(Throwable e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // magazine`s year is incorrect
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test34()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "['IgdTy~tP(Sd8lPZ7";
      String string1 = "";
      library0.borrow("['IgdTy~tP(Sd8lPZ7", "");
      library0.returnDocument("", "");
      int int0 = library0.getTotalPenalty("['IgdTy~tP(Sd8lPZ7");
      assertEquals(0, int0);
      
      List<String> list0 = library0.availableTitles();
      assertTrue(list0.isEmpty());
      assertEquals(0, list0.size());
      assertNotNull(list0);
      assertFalse(list0.contains("['IgdTy~tP(Sd8lPZ7"));
      
      try { 
        library0.addMagazine("ir.ramtung.impl2.Reference", 0, (-187), 0);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // magazine`s year is incorrect
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test35()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "";
      library0.borrow("", "prof name is empty");
      int int0 = 114;
      library0.extend("v.57dODv)0/$", ",3k?6OLc7#");
      library0.addReference("v.57dODv)0/$", 0);
      library0.addBook("", 114);
      library0.borrow("", "It$H,1}ML=yx,");
      library0.addProfMember("It$H,1}ML=yx,");
      List<String> list0 = library0.availableTitles();
      assertEquals(1, list0.size());
      assertFalse(list0.isEmpty());
      assertNotNull(list0);
      assertTrue(list0.contains(""));
      assertFalse(list0.contains("prof name is empty"));
      
      String string1 = "|56v(F+\\:8 mC";
      library0.returnDocument("It$H,1}ML=yx,", "|56v(F+:8 mC");
      int int1 = 3;
      library0.addReference("|56v(F+:8 mC", 3);
      library0.extend("", "");
      List<String> list1 = library0.availableTitles();
      assertFalse(list1.isEmpty());
      assertEquals(2, list1.size());
      assertNotNull(list1);
      assertNotSame(list1, list0);
      assertTrue(list1.contains("|56v(F+:8 mC"));
      assertFalse(list1.contains("It$H,1}ML=yx,"));
      assertFalse(list1.equals((Object)list0));
      
      try { 
        library0.addStudentMember("|56v(F+:8 mC", "");
        fail("Expecting exception: Exception");
      
      } catch(Throwable e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // student name is empty
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test36()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      int int0 = library0.getTotalPenalty("ir.ramtung.impl2.Document");
      assertEquals(0, int0);
  }

  @Test(timeout = 4000)
  public void test37()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      try { 
        library0.addMagazine("", (-1806), (-1806), (-1806));
        fail("Expecting exception: Exception");
      
      } catch(Throwable e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // magazine`s year is incorrect
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test38()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.addBook("", 2430);
      List<String> list0 = library0.availableTitles();
      assertFalse(list0.isEmpty());
      assertEquals(1, list0.size());
      assertNotNull(list0);
      assertTrue(list0.contains(""));
  }

  @Test(timeout = 4000)
  public void test39()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      List<String> list0 = library0.availableTitles();
      assertEquals(0, list0.size());
      assertTrue(list0.isEmpty());
      assertNotNull(list0);
      
      library0.returnDocument("reference name is empty", "~jbGk");
      library0.addProfMember("ir.ramtung.impl2.Book");
      library0.returnDocument("ir.ramtung.impl2.Book", "reference name is empty");
  }

  @Test(timeout = 4000)
  public void test40()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.addBook("ylKoiPt", 0);
      library0.timePass(1);
      library0.borrow("ylKoiPt", "");
  }

  @Test(timeout = 4000)
  public void test41()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.borrow(" ", "0&^w{K% ");
  }

  @Test(timeout = 4000)
  public void test42()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      List<String> list0 = library0.availableTitles();
      assertTrue(list0.isEmpty());
      assertEquals(0, list0.size());
      assertNotNull(list0);
      
      library0.extend("", "");
      library0.addProfMember("?Cc\u0001geu9I0KGN@@%u");
      library0.addBook("?Cc\u0001geu9I0KGN@@%u", 1);
      library0.addReference("0-wH@QUd~", 3052);
      library0.timePass(0);
  }

  @Test(timeout = 4000)
  public void test43()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      int int0 = (-1111);
      library0.addReference("", (-1111));
      List<String> list0 = library0.availableTitles();
      assertTrue(list0.isEmpty());
      assertEquals(0, list0.size());
      assertNotNull(list0);
      assertFalse(list0.contains(""));
      
      try { 
        library0.addReference("", 403);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // the reference has already added
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test44()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.addReference("magazine`s year is incorrect", 1056);
  }

  @Test(timeout = 4000)
  public void test45()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.addBook("student id is empty", (-974));
      library0.addBook("the book has already added", 3536);
  }

  @Test(timeout = 4000)
  public void test46()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.addBook("'<FOem%6", (-1075));
  }

  @Test(timeout = 4000)
  public void test47()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.returnDocument("", "");
      List<String> list0 = library0.availableTitles();
      assertEquals(0, list0.size());
      assertTrue(list0.isEmpty());
      assertNotNull(list0);
      assertFalse(list0.contains(""));
      
      try { 
        library0.addStudentMember("D#", "");
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // student name is empty
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test48()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.addStudentMember("ir.ramtung.impl2.Magazine", "ir.ramtung.impl2.Magazine");
  }

  @Test(timeout = 4000)
  public void test49()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.returnDocument("*nKr", "the book has already added");
      library0.addStudentMember("Ax@6/z=O2 .", "z");
      library0.addBook("J]%{>EYOeEMF", (-1));
      List<String> list0 = library0.availableTitles();
      assertEquals(0, list0.size());
      assertTrue(list0.isEmpty());
      assertNotNull(list0);
      assertFalse(list0.contains("the book has already added"));
      
      int int0 = (-559);
      library0.addBook("the book has already added", (-559));
      library0.borrow("#YtSF$,nn@&A^xeyS", "z");
      library0.borrow("#YtSF$,nn@&A^xeyS", "#YtSF$,nn@&A^xeyS");
      int int1 = library0.getTotalPenalty("#YtSF$,nn@&A^xeyS");
      assertFalse(int1 == int0);
      assertEquals(0, int1);
      
      List<String> list1 = library0.availableTitles();
      assertEquals(0, list1.size());
      assertTrue(list1.isEmpty());
      assertNotNull(list1);
      assertNotSame(list1, list0);
      assertFalse(list1.contains("the book has already added"));
      assertTrue(list1.equals((Object)list0));
      
      library0.addStudentMember("ir.ramtung.impl2.Prof", ":");
      String string0 = "+";
      library0.borrow("+", "+");
      List<String> list2 = library0.availableTitles();
      assertTrue(list2.isEmpty());
      assertEquals(0, list2.size());
      assertNotNull(list2);
      assertNotSame(list2, list0);
      assertNotSame(list2, list1);
      assertFalse(list2.contains("the book has already added"));
      assertTrue(list2.equals((Object)list0));
      assertTrue(list2.equals((Object)list1));
      
      library0.borrow("/;K>j`5}~", "->yXergi162kDp9w}");
      // Undeclared exception!
      try { 
        library0.addBook((String) null, (-51890869));
        fail("Expecting exception: NullPointerException");
      
      } catch(Throwable e) {
//          if (!(e instanceof LibraryException)) {
//              fail("Unexpected exception");
//          }
          verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test50()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "5k&hV.Jv]\"F";
      library0.extend("%+j`}wgfup", "book name is empty");
      library0.addProfMember("5k&hV.Jv]\"F");
      String string1 = "";
      library0.borrow("", "");
      library0.addProfMember("}eB/iY[M#DF1");
      List<String> list0 = library0.availableTitles();
      assertTrue(list0.isEmpty());
      assertEquals(0, list0.size());
      assertNotNull(list0);
      assertFalse(list0.contains(string0));
      
      List<String> list1 = library0.availableTitles();
      assertTrue(list1.isEmpty());
      assertEquals(0, list1.size());
      assertNotNull(list1);
      assertNotSame(list1, list0);
      assertFalse(list1.contains(string0));
      assertTrue(list1.equals((Object)list0));
      
      library0.returnDocument("cant extend", "cant extend");
      String string2 = "cant extend";
      library0.addStudentMember("cant extend", "cant extend");
      int int0 = (-1);
      try { 
        library0.timePass((-1));
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // days cant be negative
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test51()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.addBook("o.PVlR/|k4!c", 377);
      library0.addStudentMember("+}CuikSW", "UJzT");
      library0.addReference("g", 2903);
      int int0 = library0.getTotalPenalty(")+jS}c:uu1&o");
      assertEquals(0, int0);
      
      library0.addReference("R,*3A>-+Qs", 2903);
  }

  @Test(timeout = 4000)
  public void test52()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = " ";
      try { 
        library0.addProfMember(" ");
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // prof name is empty
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test53()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.addProfMember("g");
      library0.addProfMember("magazine`s year is incorrect");
      library0.extend("magazine`s year is incorrect", "g");
      int int0 = library0.getTotalPenalty("g");
      assertEquals(0, int0);
      
      library0.timePass(2153);
      List<String> list0 = library0.availableTitles();
      assertEquals(0, list0.size());
      assertTrue(list0.isEmpty());
      assertNotNull(list0);
      assertFalse(list0.contains("magazine`s year is incorrect"));
      
      library0.addBook("WC3rjOm", (-750));
      library0.addReference("%", (-1));
      library0.addProfMember("K64!OB=");
      library0.extend("%", "*C>]mn");
      List<String> list1 = library0.availableTitles();
      assertTrue(list1.isEmpty());
      assertEquals(0, list1.size());
      assertNotNull(list1);
      assertNotSame(list1, list0);
      assertFalse(list1.contains("magazine`s year is incorrect"));
      assertTrue(list1.equals((Object)list0));
      
      int int1 = library0.getTotalPenalty("*C>]mn");
      assertTrue(int1 == int0);
      assertEquals(0, int1);
      
      int int2 = library0.getTotalPenalty("prof name is empty");
      assertTrue(int2 == int1);
      assertTrue(int2 == int0);
      assertEquals(0, int2);
      
      library0.addBook("*C>]mn", 2189);
  }

  @Test(timeout = 4000)
  public void test54()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "pX";
      String string1 = ":b";
      int int0 = library0.getTotalPenalty(":b");
      assertEquals(0, int0);
      
      library0.addStudentMember("pX", ":b");
      try { 
        library0.addProfMember(":b");
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // the member has already added
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test55()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "dXNQTkbR h8tB~I.]h";
      String string1 = " ";
      String string2 = "the book has already added";
      try { 
        library0.addBook(" ", 0);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // book name is empty
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test56()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      library0.addStudentMember("ir.ramtung.impl2.Document", "ir.ramtung.impl2.Document");
      library0.timePass(1985);
      String string0 = "l1wgE`.}hb(";
      library0.extend("l1wgE`.}hb(", "l1wgE`.}hb(");
      library0.addBook("&uGWVq62C3Jv)", (-1879468196));
      library0.addMagazine("l1wgE`.}hb(", 540, 540, 482);
      List<String> list0 = library0.availableTitles();
      assertEquals(1, list0.size());
      assertFalse(list0.isEmpty());
      assertNotNull(list0);
      assertTrue(list0.contains("l1wgE`.}hb("));
      assertFalse(list0.contains("ir.ramtung.impl2.Document"));
      
      int int0 = library0.getTotalPenalty("l1wgE`.}hb(");
      assertEquals(0, int0);
      
      library0.returnDocument("%", "&uGWVq62C3Jv)");
      library0.addMagazine("%", 482, 1759, 1759);
      try { 
        library0.addStudentMember("", "");
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // student id is empty
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test57()  throws Throwable  {
      Library library0 = new Library();
      assertNotNull(library0);
      
      String string0 = "ir.ramtung.impl2.Magazine";
      try { 
        library0.timePass((-410));
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // days cant be negative
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test58()  throws Throwable  {
      Library library0 = new Library();
      String string0 = ";r?(2;)v#.(ZS(C)";
      library0.addBook(";r?(2;)v#.(ZS(C)", 0);
      String string1 = "";
      library0.borrow("", "");
      library0.addProfMember("");
      String string2 = null;
      library0.returnDocument("", (String) null);
      int int0 = 2000;
      library0.extend((String) null, ";r?(2;)v#.(ZS(C)");
      int int1 = (-2015295441);
      library0.addBook("LKK|Y*,g-Jm0<a", (-2015295441));
      library0.timePass(2000);
      int int2 = 802;
      try { 
        library0.addMagazine(" ", 2000, 2000, (-2015295441));
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // magazine name is empty
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test59()  throws Throwable  {
      Library library0 = new Library();
      library0.addBook(";r?(2;)v#.(ZS(C)", 0);
      library0.borrow("", "");
      library0.addProfMember("");
      library0.extend("", ";r?(2;)v#.(ZS(C)");
      String string0 = "LKK|Y*,g-Jm0<a";
      int int0 = (-2015295441);
      library0.addBook("LKK|Y*,g-Jm0<a", (-2015295441));
      library0.timePass(0);
      library0.addBook("", 802);
      library0.extend("", "");
      String string1 = "";
      library0.borrow(";r?(2;)v#.(ZS(C)", "");
      try { 
        library0.addReference("", 0);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // the reference has already added
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test60()  throws Throwable  {
      Library library0 = new Library();
      library0.timePass(3515);
      library0.getTotalPenalty("ir.ramtung.impl2.Library");
      library0.addStudentMember(" ", "&l;");
      try { 
        library0.addReference(" ", 1964);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // reference name is empty
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test61()  throws Throwable  {
      Library library0 = new Library();
      library0.addMagazine("bO#6Ti>g({fn!e]%>", 8, 8, 8);
      library0.addProfMember("bO#6Ti>g({fn!e]%>");
      library0.extend("bO#6Ti>g({fn!e]%>", "bO#6Ti>g({fn!e]%>");
      String string0 = "WNGBkxXLQWS.c+";
      try { 
        library0.addMagazine("bO#6Ti>g({fn!e]%>", 0, 0, 1);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // the magazine has already added
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test62()  throws Throwable  {
      Library library0 = new Library();
      String string0 = ">4Qx(fk@SITA<+1[";
      library0.extend(">4Qx(fk@SITA<+1[", ">4Qx(fk@SITA<+1[");
      String string1 = "3u^#~,y;K*+$T+d+";
      library0.addReference("3u^#~,y;K*+$T+d+", (-3546));
      library0.addBook(">4Qx(fk@SITA<+1[", 894);
      library0.extend(">4Qx(fk@SITA<+1[", (String) null);
      library0.availableTitles();
      library0.availableTitles();
      library0.returnDocument((String) null, (String) null);
      int int0 = 3676;
      library0.timePass(3676);
      library0.extend("3u^#~,y;K*+$T+d+", (String) null);
      try { 
        library0.addBook("3u^#~,y;K*+$T+d+", 894);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // the book has already added
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test63()  throws Throwable  {
      Library library0 = new Library();
      library0.returnDocument("", "");
      library0.getTotalPenalty("zen@HF('IM");
      library0.borrow((String) null, "");
      library0.borrow("zen@HF('IM", "zen@HF('IM");
      library0.getTotalPenalty("awJK~Tq=EQ");
      library0.availableTitles();
      library0.extend("Rifmh*f+#", (String) null);
      library0.getTotalPenalty("S#\"\nr5PdPD[>-");
      library0.addProfMember("zen@HF('IM");
      library0.addProfMember("S#\"\nr5PdPD[>-");
      library0.addBook("%0n!9DD^.", 0);
      library0.borrow("K64!OB=", "K64!OB=");
      library0.borrow("ir.ramtung.impl2.Student", "");
      library0.availableTitles();
      library0.extend("S#\"\nr5PdPD[>-", "8hx2ysBLi");
      library0.borrow("S#\"\nr5PdPD[>-", (String) null);
      library0.getTotalPenalty("xCe");
      library0.addStudentMember("xCe", "Rla");
      library0.availableTitles();
      library0.extend("", "");
      library0.returnDocument((String) null, "zen@HF('IM");
      try { 
        library0.addStudentMember("awJK~Tq=EQ", "");
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // student name is empty
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test64()  throws Throwable  {
      Library library0 = new Library();
      library0.returnDocument("", "");
      library0.getTotalPenalty("zen@HF('IM");
      library0.borrow((String) null, "");
      library0.borrow("zen@HF('IM", "zen@HF('IM");
      library0.getTotalPenalty("awJK~Tq=EQ");
      library0.availableTitles();
      library0.extend("Rifmh*f+#", (String) null);
      library0.getTotalPenalty("awJK~Tq=EQ");
      library0.getTotalPenalty(" 2&8!]9bub',%O[fo");
      library0.addProfMember("zen@HF('IM");
      library0.addProfMember("awJK~Tq=EQ");
      library0.addBook("%0n!9DD^.", 0);
      library0.borrow("K64!OB=", "K64!OB=");
      library0.borrow("ir.ramtung.impl2.Student", "");
      library0.availableTitles();
      library0.extend((String) null, "8hx2ysBLi");
      library0.borrow("awJK~Tq=EQ", (String) null);
      library0.getTotalPenalty("xCe");
      library0.addStudentMember("xCe", "Rla");
      library0.extend("", "");
      library0.returnDocument((String) null, "zen@HF('IM");
      try { 
        library0.addStudentMember("awJK~Tq=EQ", "");
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // student name is empty
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test65()  throws Throwable  {
      Library library0 = new Library();
      library0.returnDocument("F2NbE.", "F2NbE.");
      library0.addProfMember("{FA&;t9?^?cdVdxF|");
      library0.addReference("", 0);
      library0.getTotalPenalty(" 2&8!]9bub',%O[fo");
      library0.addProfMember("%");
      library0.addStudentMember("F2NbE.", "p\"p");
      String string0 = "ir.ramtung.sts01.LibraryException";
      library0.returnDocument("", "ir.ramtung.sts01.LibraryException");
      try { 
        library0.addMagazine("-q%0mC(e#K<)Z4r}l", 0, 0, (-1126));
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // magazine`s year is incorrect
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test66()  throws Throwable  {
      Library library0 = new Library();
      String string0 = "irramtungimpl2.Book";
      String string1 = ":";
      library0.addProfMember(":");
      library0.getTotalPenalty(":");
      library0.returnDocument("irramt\"ng.impl22Reference", "[T==B");
      library0.extend("[T==B", "vxl^qs9Q*PFE\"r");
      String string2 = "VF`R+5&}vjj>=%YDUj";
      library0.addStudentMember("[T==B", "VF`R+5&}vjj>=%YDUj");
      library0.addStudentMember("[T==B", "irramt\"ng.impl22Reference");
      try { 
        library0.addMagazine("UO}'gT[7vX", 5000, 0, 5000);
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // magazine`s number is incorrect
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }

  @Test(timeout = 4000)
  public void test67()  throws Throwable  {
      Library library0 = new Library();
      library0.addMagazine("+", 5, 5, (-322));
      library0.addBook("", (-39));
      String string0 = "ir.ramtung.sts01.LibraryException";
      String string1 = "h$m\")lFH#W";
      library0.returnDocument("ir.ramtung.sts01.LibraryException", "h$m\")lFH#W");
      String string2 = "";
      try { 
        library0.borrow("ir.ramtung.sts01.LibraryException", "");
        fail("Expecting exception: Exception");
      
      } catch(Exception e) {
          if (!(e instanceof LibraryException)) {
              fail("Unexpected exception");
          }
         //
         // this book doesnt exist
         //
         verifyException("ir.ramtung.impl2.Library", e);
      }
  }
}
